| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | List of all members
KeyboardEvent Class Reference

`#include <events.h>`

Inheritance diagram for KeyboardEvent:

## Public Member Functions
| KeyboardEvent ()
| Default Constructor.
| KeyboardEvent (const KeyboardEvent &source)
| KeyboardEvent (const LocationEvent &source)
KeyboardEvent | operator= (const KeyboardEvent &source)
Public Member Functions inherited from LocationEvent
| LocationEvent ()
| LocationEvent (const LocationEvent &source)
LocationEvent | operator= (const LocationEvent &source)
Public Member Functions inherited from DisplayEvent
| DisplayEvent ()
| DisplayEvent (const DisplayEvent &source)
virtual | ~DisplayEvent ()

## Public Attributes
int | keysym
int | event_text
int | modifiers
Public Attributes inherited from LocationEvent
Vector | winLoc
Vector | lCoords
Vector | oCoords
float & | x
float & | y
float & | z
float & | lx
float & | ly
float & | lz
float & | ox
float & | oy
float & | oz
Public Attributes inherited from DisplayEvent
unsigned short | eventType
unsigned short | eventSubtype

## Detailed Description

A keyboard event

## Constructor & Destructor Documentation

## ◆ KeyboardEvent() [1/2]

KeyboardEvent | ( | const KeyboardEvent & | source | ) |
| inline

Copy Constructor

Parameters

  source | The event to copy from.

## ◆ KeyboardEvent() [2/2]

KeyboardEvent | ( | const LocationEvent & | source | ) |
| inline

Copy Constructor from LocationEvent

Parameters

  source | The event to copy from.

## Member Function Documentation

## ◆ operator=()

KeyboardEvent operator= | ( | const KeyboardEvent & | source | ) |
| inline

Assignment operator

Parameters

  source | The event to copy from.

Returns
  The resulting event (this).

## Member Data Documentation

## ◆ event_text

int event_text

FLTK event text code for key that was pressed

## ◆ keysym

int keysym

FLTK code for key that was pressed

## ◆ modifiers

int modifiers

bitfield: which modifiers or buttons were pressed

See also
  SpecialKeyState_e

The documentation for this class was generated from the following file:

- events.h